////////////////////////////////////////////////////////////////////////////////
//
//	Module	CATALOG
//
//	SWA PAS calibration catalog
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__CATALOG_H
#define	__CATALOG_H

typedef	t_err 	(* P_FUNC) (char * filename);

////
//	Search latest catalog filename
//
t_err	Init_catalog();

////
//	Set calibration key reader
//
t_err	Set_reader (char * key, P_FUNC reader);


////
//	Read catalog to search entry key for a given time
//
t_err	Read_catalog (char * key, time_t time);


////
//
//	Return calibration catalog filename
//
char *	Get_catalog_filename ();


////
//	Return calibration file for a given key
//
char *	Get_calib_filename (char * key);


////
//	Return end of validity for a given key
//
time_t	Get_calib_validity (char * key);

#endif
