#! /usr/bin/env python
#
#	Setup python calibration with dynamic libraries :
#
#	- libTOOLS.so
#	- libCALIB.so
#
#	Use LD_LIBRARY_PATH to locate
##

from	distutils.core import setup
from	distutils.core import Extension
import	os
import	numpy

solar_soft = os.getenv ("SOLAR_SOFT")

numpy_dir = os.path.dirname (numpy.__file__)

module = Extension ('calib',
	sources = [ "calib.c" ],
	include_dirs = [ 
		"%s/include" % solar_soft,
		"%s/core/include" % numpy_dir,
	],
	library_dirs = [ 
		"%s/lib" % solar_soft
	],
	libraries = [
		"TOOLS", 
		"CALIB"
	]
)
	
setup (	name = "calib",
	version = "1.0.0",
	author = "Alain BARTHE",
	author_email = "alain.barthe@irap.omp.eu",
	description = 'SolarOrbiter Python calibration interface',
	long_description = '''Python Solar Orbiter calibration library

This module will allow to read Solar Orbiter calibration files
''',
	ext_modules = [module]
)
