#define	MODULE_NAME	"TEST"

#include "TOOLS.h"
#include "CALIB.h"

t_err	main()
{	
	char *		fname = FNAME ("main");
	t_err		error = OK;
	int		lus, i, n;
	float		v [11];
	char		buffer [512];
	int		az, el;
	int		azimuth = 10;
	int		elevation = 7;

	time_t		time = str_to_time ("2020-04-14T00:00:00Z");
	char *		key = "ELS";
	
	Message_log (1, fname, "Time_t = %d bytes", sizeof (time_t));

	if (Error (error = Init_calib ("PFM"))) goto EXIT;

	if (Error (error = Read_calib ("AZF", time))) goto EXIT;
	if (Error (error = Read_calib ("AZS", time))) goto EXIT;
	if (Error (error = Read_calib ("ELS", time))) goto EXIT;
	if (Error (error = Read_calib ("ELF", time))) goto EXIT;
	if (Error (error = Read_calib ("ELD", time))) goto EXIT;
	if (Error (error = Read_calib ("EVS", time))) goto EXIT;
	if (Error (error = Read_calib ("EVF", time))) goto EXIT;
	if (Error (error = Read_calib ("CNF", time))) goto EXIT;
	if (Error (error = Read_calib ("GFF", time))) goto EXIT;
	if (Error (error = Read_calib ("YIL", time))) goto EXIT;

	Message_log (1, fname, "Elevation table (amplitude)");

	for (i = 0; i < NB_ELEVATION; i++) 
		Message_log (1, fname, "ELS[%02d] = [% 7.2f % 7.2f % 7.2f] % 7.2f deg", i, ELS[i].min, ELS[i].moy, ELS[i].max, ELS[i].max - ELS[i].min);

	Message_log (1, fname, "CEM table (amplitude)");

	for (i = 0; i < NB_CEM; i++) 
		Message_log (1, fname, "AZS[%02d] = [% 7.2f % 7.2f % 7.2f] % 7.2f deg", i, AZS[i].min, AZS[i].moy, AZS[i].max, AZS[i].max - AZS[i].min);

	Message_log (1, fname, "Energy table (amplitude)");

	for (i = 0; i < NB_ENERGY; i++) 
		Message_log (1, fname, "EVS[%02d] = [% 9.2f % 9.2f % 9.2f] % 9.2f deg", i, EVS[i].min, EVS[i].moy, EVS[i].max, EVS[i].max - EVS[i].min);
	
	for (i = 0; i < NB_ENERGY; i++) 
		Message_log (1, fname, "ELD[%02d] = % 8.4f", i, ELD [i]);
	
	Message_log (1, fname, "YIL [%d][%d]", azimuth, elevation);

	for (az = 0; az < NB_CEM; az++) {

		sprintf (buffer, "Cell %02d : ", az);

		for (el = 0; el < NB_ELEVATION; el++) {

			sprintf (buffer + strlen (buffer), "% 7.4f", YIL [azimuth][elevation][az][el]);
		}
		Message_log (1, fname, "%s", buffer);
	}

EXIT:	return error;
}
