////////////////////////////////////////////////////////////////////////////////
//
//	SOLAR software tools to handle file system interface
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__INTERFACE_H
#define	__INTERFACE_H

#include "INTERFACE.h"

#define	FILENAME_LENGTH		512

typedef	char	t_filename [FILENAME_LENGTH];


//	Check SOLAR_ROOT environment variable
//
t_err	Check_SOLAR_root (void);

char *	Get_SOLAR_root ();

//	Read a new line from a text file
//
t_err	Read_line (FILE * input, int size, char * buffer);


//	Search filenames corresponding to pattern	
//
t_err	Search_files (char * pattern, int * count);

//	Free ressources used by Search_files()
//
void	Search_free ();

//	Return nth filename
//
char *	Get_filename (int number);

//	Check filename exists
//
t_err	Check_file_exists (char * filename);


//	Create directory
//
t_err	Create_directory (t_filename directory);


//	Return location of master CDF files
//
char *	Get_master_CDF_directory ();

//	Compute data directory for a given date
//
char *	Get_L0_directory (t_date date);
char *	Get_L1_directory (t_date date);
char *	Get_L2_directory (t_date date);

//	Create filename for a given date, key and extension (force version number)
//
char *	New_L0_filename (t_date date, char * key, char * ext);
char *	New_L1_filename (t_date date, char * key, char * ext);
char *	New_L2_filename (t_date date, char * key, char * ext);

//	Search filename for a given date and key (latest version number)
//
char *	Get_L0_filename (t_date date, char * key, char * ext);
char *	Get_L1_filename (t_date date, char * key, char * ext);
char *	Get_L2_filename (t_date date, char * key, char * ext);

#endif
