////////////////////////////////////////////////////////////////////////////////
//
//	SOLAR software various tools
//
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__TYPES_H
#define	__TYPES_H

#define	_X_OPEN_SOURCE
#include <time.h>

typedef	struct {
	int	year;
	int	month;
	int	day;
}	t_date;

typedef	unsigned char	byte_t;


typedef	struct {			// Solar-Orbiter time stamps
	uint32_t	coarse;		// - coarse time (seconds)
	uint16_t	fine;		// - fine time 1/65536 second
}	t_so_time;

//	Return current time as an ISOtime string
//
char *	Now();

//	Convert string to date
//
t_err	str_to_date (const char * str, t_date * date);


//	Convert date to string
//
char *	date_to_str (t_date date);


time_t	str_to_time (char * str);

char *	time_to_str (time_t t);

//	Convert date to yyyymmdd string
//	
char *	yyyymmdd (t_date date);


//	Hexadecimal dump to string
//
char *	Hex_dump (unsigned char * ptr, int size);


//	Return a 16 bits signed value from a starting address
//
int16_t get_int16 (byte_t * adr);


//	Return a 16 bits value from a starting address
//
uint16_t get_uint16 (byte_t * adr);


//	Return a 32 bits value from a starting address
//
uint32_t get_uint32 (byte_t * adr);


//	Return a 64 bits value from a starting address
//
uint64_t get_uint64 (byte_t * adr);


//	Extract time stamp fields from byte buffer
//
t_err	get_time_stamp (t_so_time * time, byte_t * adr);


//	Convert half-precision float16 to float
//
float	float16_to_float (uint16_t h);

#endif
